Intermittent org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange | status -2

NEW
Unassigned
(NeedInfo from)

Status

defect
P2
normal
2 months ago
22 days ago

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

Tracking

(Blocks 1 bug, {intermittent-failure, leave-open, regression})

unspecified
Unspecified
Android
Dependency tree / graph

Firefox Tracking Flags

(geckoview66 wontfix, firefox-esr60 wontfix, firefox66 wontfix, firefox67 wontfix, firefox68 disabled)

Details

(Whiteboard: [comment 21][stockwell disabled])

Attachments

(1 attachment, 1 obsolete attachment)

Reporter

Description

2 months ago
treeherder

#[markdown(off)]
Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=240085805&repo=autoland

https://queue.taskcluster.net/v1/task/WDN3p7f3Qca196OWTxN1Xg/runs/0/artifacts/public/logs/live_backing.log

[task 2019-04-13T01:08:46.859Z] 01:08:46 INFO - TEST-START | org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange
[task 2019-04-13T01:11:12.581Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-13T01:11:12.583Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=31
[task 2019-04-13T01:11:12.583Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.HistoryDelegateTest
[task 2019-04-13T01:11:12.583Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-13T01:11:12.584Z] 01:11:12 INFO - org.mozilla.geckoview.test | Error in onHistoryStateChange(org.mozilla.geckoview.test.HistoryDelegateTest):
[task 2019-04-13T01:11:12.584Z] 01:11:12 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2019-04-13T01:11:12.584Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:56)
[task 2019-04-13T01:11:12.584Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-13T01:11:12.585Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-04-13T01:11:12.585Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
[task 2019-04-13T01:11:12.585Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1681)
[task 2019-04-13T01:11:12.585Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1627)
[task 2019-04-13T01:11:12.586Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1580)
[task 2019-04-13T01:11:12.586Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange(HistoryDelegateTest.kt:168)
[task 2019-04-13T01:11:12.587Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-13T01:11:12.588Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-13T01:11:12.589Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-04-13T01:11:12.590Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-04-13T01:11:12.590Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-04-13T01:11:12.592Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-04-13T01:11:12.593Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-04-13T01:11:12.593Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2019-04-13T01:11:12.594Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-13T01:11:12.594Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-04-13T01:11:12.594Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Looper.loop(Looper.java:137)
[task 2019-04-13T01:11:12.594Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-04-13T01:11:12.595Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-13T01:11:12.596Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-13T01:11:12.598Z] 01:11:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-04-13T01:11:12.598Z] 01:11:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-04-13T01:11:12.598Z] 01:11:12 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-04-13T01:11:12.599Z] 01:11:12 INFO - org.mozilla.geckoview.test |
[task 2019-04-13T01:11:12.599Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=56
[task 2019-04-13T01:11:12.600Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2019-04-13T01:11:12.600Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:56)
[task 2019-04-13T01:11:12.601Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-13T01:11:12.601Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-04-13T01:11:12.601Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
[task 2019-04-13T01:11:12.602Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1681)
[task 2019-04-13T01:11:12.602Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1627)
[task 2019-04-13T01:11:12.603Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1580)
[task 2019-04-13T01:11:12.603Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange(HistoryDelegateTest.kt:168)
[task 2019-04-13T01:11:12.603Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-13T01:11:12.604Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-13T01:11:12.604Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-04-13T01:11:12.605Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-04-13T01:11:12.606Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-04-13T01:11:12.606Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-04-13T01:11:12.606Z] 01:11:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-04-13T01:11:12.607Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2019-04-13T01:11:12.607Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-13T01:11:12.608Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-04-13T01:11:12.608Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.os.Looper.loop(Looper.java:137)
[task 2019-04-13T01:11:12.608Z] 01:11:12 INFO - org.mozilla.geckoview.test | at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-04-13T01:11:12.609Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-13T01:11:12.609Z] 01:11:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-13T01:11:12.609Z] 01:11:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-04-13T01:11:12.610Z] 01:11:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-04-13T01:11:12.610Z] 01:11:12 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-04-13T01:11:12.610Z] 01:11:12 INFO - org.mozilla.geckoview.test |
[task 2019-04-13T01:11:12.611Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=onHistoryStateChange
[task 2019-04-13T01:11:12.611Z] 01:11:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-04-13T01:11:12.612Z] 01:11:12 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange | status -2
[task 2019-04-13T01:11:12.612Z] 01:11:12 INFO - TEST-INFO took 145751ms

Priority: P5 → P3
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)

This is now on disable recommended bugs list; Chris could you please redirect this to someone to take a look what's going on here? If not it should be disabled. It has 198 failures so far in the last 7 days on android-em-4-3-armv7-api16 debug & pgo; https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-12&endday=2019-04-19&tree=trunk&bug=1544169

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=241388707&repo=autoland&lineNumber=1957

Flags: needinfo?(cpeterson)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

(In reply to Cosmin Sabou [:CosminS] from comment #6)

This is now on disable recommended bugs list; Chris could you please redirect this to someone to take a look what's going on here? If not it should be disabled.

Thanks for the heads up. I will send this bug back to GeckoView triage for prioritization (though triage is not until next Thursday).

Flags: needinfo?(cpeterson)
OS: All → Android
Priority: P3 → --
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork]
Comment hidden (Intermittent Failures Robot)

Updated

2 months ago
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

There are 307 failures on this bug over the last 7 days. These happen on linux64 and android-em-4-3-armv7-api16.

Here is the latest log failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=243179798&repo=mozilla-inbound&lineNumber=2438

Flags: needinfo?(cpeterson)
Comment hidden (Intermittent Failures Robot)

(In reply to Intermittent Failures Robot from comment #18)

309 failures in 3031 pushes (0.102 failures/push) were associated with this bug in the last 7 days.

This is the #7 most frequent failure this week.

Agi, do you have any updates on running the geckoview-junit tests on the Android x86_64 servers?

Flags: needinfo?(cpeterson) → needinfo?(agi)
Comment hidden (Intermittent Failures Robot)

I'm working on it, I don't have any update yet. Will circle back.

Flags: needinfo?(agi)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork]
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner][comment 21]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Whiteboard: [comment 21][stockwell disable-recommended] → [comment 21][stockwell needswork:owner
Whiteboard: [comment 21][stockwell needswork:owner → [comment 21][stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)
Whiteboard: [comment 21][stockwell disable-recommended] → [comment 21][stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)

Agi please let us know when there are updates here.

There are 301 total failures in the last 7 days on android-em-4-3-armv7-api16 pgo and debug.

Recent failur elog: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244792395&repo=autoland&lineNumber=2425

[task 2019-05-06T04:28:56.132Z] 04:28:56 INFO - TEST-START | org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange
[task 2019-05-06T04:29:12.568Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-05-06T04:29:12.569Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=61
[task 2019-05-06T04:29:12.570Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.HistoryDelegateTest
[task 2019-05-06T04:29:12.570Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-05-06T04:29:12.570Z] 04:29:12 INFO - org.mozilla.geckoview.test | Error in onHistoryStateChange(org.mozilla.geckoview.test.HistoryDelegateTest):
[task 2019-05-06T04:29:12.570Z] 04:29:12 INFO - org.mozilla.geckoview.test | java.lang.AssertionError: History index should be 1
[task 2019-05-06T04:29:12.570Z] 04:29:12 INFO - org.mozilla.geckoview.test | Expected: <1>
[task 2019-05-06T04:29:12.571Z] 04:29:12 INFO - org.mozilla.geckoview.test | but: was <0>
[task 2019-05-06T04:29:12.571Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.hamcrest.MatcherAssert.assertThat(MatcherAssert.java:20)
[task 2019-05-06T04:29:12.572Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.Assert.assertThat(Assert.java:956)
[task 2019-05-06T04:29:12.573Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.rules.ErrorCollector$1.call(ErrorCollector.java:65)
[task 2019-05-06T04:29:12.573Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.rules.ErrorCollector.checkSucceeds(ErrorCollector.java:78)
[task 2019-05-06T04:29:12.574Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.rules.ErrorCollector.checkThat(ErrorCollector.java:63)
[task 2019-05-06T04:29:12.574Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.checkThat(GeckoSessionTestRule.java:905)
[task 2019-05-06T04:29:12.575Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.BaseSessionTest.assertThat(BaseSessionTest.kt:67)
[task 2019-05-06T04:29:12.576Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.HistoryDelegateTest$onHistoryStateChange$4.onHistoryStateChange(HistoryDelegateTest.kt:189)
[task 2019-05-06T04:29:12.576Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-05-06T04:29:12.576Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-05-06T04:29:12.577Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.forCallbacksDuringWait(GeckoSessionTestRule.java:1816)
[task 2019-05-06T04:29:12.577Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1628)
[task 2019-05-06T04:29:12.578Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1580)
[task 2019-05-06T04:29:12.578Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange(HistoryDelegateTest.kt:182)
[task 2019-05-06T04:29:12.579Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-05-06T04:29:12.579Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-05-06T04:29:12.580Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-05-06T04:29:12.580Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-05-06T04:29:12.581Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-05-06T04:29:12.581Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-05-06T04:29:12.582Z] 04:29:12 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-05-06T04:29:12.582Z] 04:29:12 INFO - org.mozilla.geckoview.test | at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2019-05-06T04:29:12.583Z] 04:29:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-05-06T04:29:12.583Z] 04:29:12 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-05-06T04:29:12.584Z] 04:29:12 INFO - org.mozilla.geckoview.test | at android.os.Looper.loop(Looper.java:137)
[task 2019-05-06T04:29:12.584Z] 04:29:12 INFO - org.mozilla.geckoview.test | at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-05-06T04:29:12.585Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-05-06T04:29:12.585Z] 04:29:12 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-05-06T04:29:12.585Z] 04:29:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-05-06T04:29:12.586Z] 04:29:12 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-05-06T04:29:12.586Z] 04:29:12 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)

[task 2019-05-06T04:29:12.606Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=onHistoryStateChange
[task 2019-05-06T04:29:12.606Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-05-06T04:29:12.607Z] 04:29:12 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.HistoryDelegateTest.onHistoryStateChange | status -2
[task 2019-05-06T04:29:12.607Z] 04:29:12 INFO - TEST-INFO took 16463ms
[task 2019-05-06T04:29:12.607Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-05-06T04:29:12.608Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=62
[task 2019-05-06T04:29:12.608Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.LocaleTest
[task 2019-05-06T04:29:12.608Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-05-06T04:29:12.609Z] 04:29:12 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.LocaleTest:
[task 2019-05-06T04:29:12.609Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=159
[task 2019-05-06T04:29:12.609Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=setLocale
[task 2019-05-06T04:29:12.610Z] 04:29:12 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

Flags: needinfo?(agi)
Whiteboard: [comment 21][stockwell disable-recommended] → [comment 21]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Attachment #9064025 - Attachment is obsolete: true
Comment hidden (Intermittent Failures Robot)
Keywords: leave-open
Whiteboard: [comment 21][stockwell disable-recommended] → [comment 21][stockwell disabled]

Comment 35

Last month
Pushed by rgurzau@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b6f4ce748f19
Disabled onHistoryStateChange on debug build. r=gbrown

Disabled and landed it until a fix is made because of the high failure rates.

Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.